Rebase <-function(Projection, months){
        
        #Each column of the Projection dataframe, except the first, is a year
        
        #A year is rebased by taking x% of that year and adding (100-x)% of next year.
        
        #The Final year of the projection is dropped as the necessay data is not available
        
        all.columns <- ncol(Projection) 
        output.columns <- all.columns-1
        
        follow.year.proportion <- (1/12) * months
        current.year.proportion <- 1 - follow.year.proportion
        
        nm <- names(Projection[1:output.columns])
        
        ReBased <- select(Projection, 1)
        
        for(i in 2:output.columns){
                ReBased[i]<-(Projection[i]*current.year.proportion)+
                        (Projection[i+1]*follow.year.proportion)       
        }
        
        setnames(ReBased, nm)

return(ReBased)

}
